# $Revision: 1.47 $, $Date: 2010/08/10 13:31:53 $
%define		module	PyXML
Summary:	Python/XML package
Summary(pl.UTF-8):	Pakiet Python/XML
Name:		python-%{module}
Version:	0.8.4
Release:	10
License:	BeOpen Python Open Source License
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/pyxml/%{module}-%{version}.tar.gz
# Source0-md5:	1f7655050cebbb664db976405fdba209
Patch0:		%{name}-as_is_keyword_in_py26.patch
URL:		http://pyxml.sourceforge.net/
BuildRequires:	expat-devel >= 1:1.95.8
BuildRequires:	python >= 1:2.5
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Requires:	expat >= 1:1.95.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PyXML package is a collection of libraries to process XML with
Python. It contains, among other things
- xmlproc: a validating XML parser.
- sgmlop: a C helper module that can speed-up xmllib.py and sgmllib.py
  by a factor of 5.
- PySAX: SAX 1 and SAX2 libraries with drivers for most of the
  parsers.
- 4DOM: A fully compliant DOM Level 2 implementation.
- javadom: An adapter from Java DOM implementations to the standard
  Python DOM binding.
- pulldom: a DOM implementation that supports lazy instantiation of
  nodes.
- marshal: a module with several options for serializing Python
  objects to XML, including WDDX and XML-RPC.
- unicode: a helper module for Python 1.5 users who need conversions
  between UTF-8 and ISO-8859-?.

%description -l pl.UTF-8
Pakiet PyXML jest zestawem bibliotek do obsługi XML-a z poziomu
Pythona. Zawiera między innymi:
- xmlproc: analizator sprawdzający poprawność XML-a;
- sgmlp: pomocniczy moduł w C przyspieszający działanie xmllib.py i
  sgmllib.py pięciokrotnie;
- PySAX: biblioteki SAX1 i SAX2 ze sterownikami do większości
  analizatorów składniowych;
- 4DOM: w pełni kompatybilna implementacja DOM Level 2;
- javadom: adapter z implementacji DOM w Javie do standardowego DOM w
  Pythonie;
- pulldom: implementacja DOM obsługująca leniwe tworzenie instancji
  węzłów;
- marshal: moduł z różnymi opcjami do serializacji obiektów Pythona w
  XML-u, w tym WDDX i XML-RPC;
- unicode: pomocniczy moduł dla użytkowników Pythona 1.5, którzy;
  potrzebują konwersji między UTF-8 a ISO-8859-?.

%package examples
Summary:	Examples of Python/XML
Summary(pl.UTF-8):	Przykłady do Python/XML
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}-%{release}

%description examples
Examples of Python/XML.

%description examples -l pl.UTF-8
Przykłady do Python/XML.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build \
	--with-libexpat=%{_prefix} \
	--ldflags=-lexpat

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

cp -a demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc ANNOUNCE CREDITS LICENCE README* TODO
%attr(755,root,root) %{_bindir}/xmlproc_parse
%attr(755,root,root) %{_bindir}/xmlproc_val
%{py_sitedir}/_xmlplus
%{py_sitedir}/PyXML-*.egg-info

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyXML.spec,v $
Revision 1.47  2010/08/10 13:31:53  glen
- do not package tests; modernize spec; rel 10

Revision 1.46  2010/07/08 08:36:46  arekm
- release 9

Revision 1.45  2008/12/06 13:42:12  matkor
Release 8. Fix as being new keyword in Python2.6 build problem.

Revision 1.44  2008/10/03 18:00:06  arekm
- release 7

Revision 1.43  2007-04-24 17:26:06  arekm
- rel 6

Revision 1.42  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.40  2006/12/21 07:34:37  qboosh
- unified examplesdir
- fixed doc duplicate
- package .egg-info for python 2.5

Revision 1.39  2006/09/27 20:21:59  wrobell
- rel. 5 to rebuild with python 2.5 (final)

Revision 1.38  2006/08/28 05:41:56  freetz
- rel.4 for rebuild with new python

Revision 1.37  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.36  2004/12/28 16:17:26  undefine
- Requires:       expat >= 1:1.95.8 (based on BR - with older versions doesn't work)
- release 3

Revision 1.35  2004/12/23 16:52:52  saq
- updated BR
- release 2 for rebuild with python 2.4

Revision 1.34  2004/12/22 19:35:16  darekr
- release 1

Revision 1.33  2004/12/22 18:25:43  qboosh
- updated to 0.8.4, strict internal dep

Revision 1.32  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.31  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.30  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.29  2003/09/15 14:06:08  wiget
- rebuild with new python

Revision 1.28  2003/08/21 15:21:20  qboosh
- no // in paths, other cosmetics

Revision 1.27  2003/08/02 22:18:49  grzegol
- updated to 0.8.2
- more docs

Revision 1.26  2003/07/25 14:40:17  blues
- cosmetics

Revision 1.25  2003/07/25 08:53:44  wrobell
- fixed md5

Revision 1.24  2003/07/25 08:44:41  wrobell
- ver. 0.8.2

Revision 1.23  2003/06/22 14:37:28  deejay1
- typo

Revision 1.22  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:25:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.19  2002/10/24 11:34:33  wrobell
- ver. 0.8.1

Revision 1.18  2002/08/07 14:06:21  wiget
- updated to 0.8

Revision 1.17  2002/04/13 17:34:01  kloczek
- rebuild against pythin 2.2.1.

Revision 1.16  2002/04/11 13:55:33  wrobell
- rel. 5, stb

Revision 1.15  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.14  2002/03/18 07:18:52  wrobell
- main package group changed to Libraries/Python and examples subpackage
  group changed to Development/Languages/Python
- rel. 4
- stb

Revision 1.13  2002/03/06 16:06:40  wrobell
- install byte compiled modules
- do not include *.py files in %{py_sitedir} and subdirectories
- fixed build and install requirements
- license field updated
- group changed to more apropriate
- cosmetics
- rel. 3

Revision 1.12  2002/03/05 18:16:53  filon
- updated to 0.7

Revision 1.11  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.9  2002/02/03 23:43:15  kloczek
- release 2: rebuild against python 2.2.

Revision 1.8  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/24 01:35:29  kloczek
- cosmetics.

Revision 1.6  2001/11/12 09:43:01  qboosh
- pl translations, BuildRequires: rpm-pythonprov

Revision 1.5  2001/11/11 19:13:30  wrobell
- fixed requirements

Revision 1.4  2001/11/11 19:07:13  wrobell
- use standard python macros

Revision 1.3  2001/10/19 15:55:26  jajcus
- Version: 0.6.6
- License: Python
- fixed homepage and source URL (now it is on sourceforge)

Revision 1.2  2001/05/21 17:03:19  wiget
first part of rewrite
